      subroutine inptxt(is,ie)
      character*80 inp(25)
      integer*2 setrow,setcol,linptr,line,inum,is,ie,ii
      common/lset/setrow,setcol,linptr,line,inum,inp
      common /titls/ title1,title2,title3,fmtx,fmty
      common /setxy/ xx(2),yy(2),xp1(4),yp1(4),iplotr,sizel,
     1 ncharx,nchary,sizex,sizey,adelx,adely,pllx,plly,
     & lintx,linty,xscale,yscale,xxscal,yyscal,mscale,delx,dely
      common/chksiz/conlim
      common /concom/ ncol,nrow,bmin,bmax,
     1 grad,gflg,ijs,ije,ijsi,ijei,prime,ij4,cont,
     1 fltmax,lmult(0:3),idashs,linet,sigma,nsig
      common /llp/ latm(3),latx(3),longm(3),longx(3),cm(3),
     1             baslat(3),
     1 iproj,xxx(2),yyy(2),sizep,unit,ip,neat,tint,itpost,ibound,
     2 phi1,phi2
      COMMON /LXCB/ LXFILE,LXFMT,LXPROJ,LXUNIT,LXTYPE
      common/txcb/txfile
      common /vect/ ispost,lowhi,nid,ncharv,szpost,vmin,vmax,
     & lifmtv(10),lfmtv(4),ich(20),lchid(20),DGRAD,sizehi,szlab
      common /labcom/ lchars(6),fmtc,nchar,size,idum(3),delb
      common /contrc/ cmin,cmax,dcval,ncval,nsec,gradi,
     1                acdel(200),acgrad(200),jcdash(200),
     2                ncval2,acsize(200),acmin(200),acmax(200)
      common /contur/ acval(200)
      COMMON /HACOM/ HACHLN,HACHSP,HACHGP,HACHMX,HACHLM,HACHVB
      common /pltcom/ npens
      common/files/ifile,ifile2,ifile3,acfile,mxhach,access
      common /bdist/brmin, brmax, cntras,sunaz,sunel,linear,df(64)
      character*1 ctype
      common/captur/icapt,iwhite,ctype
c
      character*40 title1,title2,title3,ifile,ifile2,ifile3,
     1             ifmtv
      character*16 fmtc,fmtx,fmty,fmtv,lxfmt
      CHARACTER*40 LXFILE,ACFILE,TXFILE
      character*1 ap,nul
      character*4 chid(20)
      character*6 access
      real latm,latx,longm,longx
      equivalence (lchid,chid),(lifmtv,ifmtv),(lfmtv,fmtv)
      data ap/''''/,nul/#00/,iptr/0/

       go to (1,2,11,12,13,14,15,16,17,18,19,20,21,22,
     & 23,24,25,26,27,28,29,30,31,32,33,34),is
1     write(inp(1),'(3a)')nul,'  A PLOT CAN BE MADE BY JUST',
     & ' ENTERING ifile'
      ii=2
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(4a)') 'ifile  (GRIDDED FILE NAME)    =',ap,
     & ifile,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'iplotr (5-HP, 8-CGA, 9-EGA',
     & ', 10-VGA16, 11-VGA256)','=',iplotr
      ii=ii+1
      write(inp(ii),'(2a,t60,a,g14.6)') 'dcval  (CONTOUR INTERVAL',
     & '; -1 MEANS AUTOMATIC CONTOURING)','=', dcval
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a)')'?1    WANT UPPER & LOWER CONTOUR',
     & ' LIMIT TO USE WITH dcval ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?2    WANT DISCRETE CONTOUR',
     & ' LEVELS RATHER THAN dcval ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?3    WANT TO',
     & ' PLOT RANDOM DATA LOCATIONS ? '
      ii=ii+1
      write(inp(ii),'(3a)')'?4    WANT TO OVERLAY LINES OF A',
     & ' SECOND GRID OVER COLORS OF FIRST GRID ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?5    WANT TO CHANGE COLOR SHADED',
     & ' RELIEF PARAMETERS ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?6    WANT LATITUDE/LONGTITUDE',
     & ' TICK MARKS ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?7    WANT TO CHANGE CONTOUR LINE SPECS',
     & ';E.G., LABELLING,SMOOTHING,GRADIENT ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?8    WANT TO USE WHOLE SCREEN',
     & ' OR CHANGE SCALES ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?9    WANT TITLES ON PLOT',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?10   WANT NOT TO HAVE BORDER AROUND',
     & ' PLOT ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?11   WANT LABELLING OF X & Y AXES',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?12   WANT TO',
     & ' HACHURE "LOWS" OF LINE CONTOURS ? '
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     ADDITIONAL QUESTIONS ARE',
     & ' ON THE NEXT PAGE'
      ie = ii
      return
2     ii = iptr + 1
      write(inp(ii),'(2a)')'?13    WANT TO USE JCDASH',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?14    WANT TO',
     & ' PLOT "h" & "l" in HIGHS & LOWS ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?15    WANT TO',
     & ' PLOT TEXT DATA ? '
      ii=ii + 1
      write(inp(ii),'(2a)')'?16    WANT TO',
     & ' PLOT LINE DATA ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?17    WANT TO PLOT',
     & ' MAGNETIC INCLINATION & DECLINATION ON CONTOURS ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?18    WANT TO SAVE CONTOUR',
     & ' COORDINATES WITHOUT CONTOURING ? '
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii + 1
      write(inp(ii),'(3a)')nul,'THE FOLLOWING PARAMETERS ARE',
     & ' USED FOR HIGH DENSITY LINE CONTOURING'
      ii=ii + 1
      write(inp(ii),'(3a)')nul,'THEY ARE USUALLY USED FOR',
     & ' LARGE SCALE PLOTS - NOT SCREEN PLOTS'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a)')'?19    WANT TO USE ACFILE',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?20    WANT TO USE ACDEL',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?21    WANT TO USE ACGRAD',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?22    WANT TO USE ACMIN',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?23    WANT TO USE ACMAX',
     & ' ? '
      ii=ii+1
      write(inp(ii),'(2a)')'?24    WANT TO USE ACSIZE',
     & ' ? '
      ie = ii
      return
11    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,g14.6)') 'cmin   (LOWER LIMIT OF',
     & ' CONTOUR VALUES)','=', cmin
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,g14.6)') 'cmax   (UPPER LIMIT OF',
     & ' CONTOUR VALUES)','=', cmax
      ie = ii
      return
12    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,i5)') 'ncval  (NUMBER OF ',
     & ' CONTOUR VALUES(acval); MAX IS 200)', '=',ncval
      ii=ii + 1
      write(inp(ii),'(2a,t70,a)') '###acval  (ARRAY OF SPECIFIED',
     & ' CONTOUR VALUES; MAX IS 200)', '='
      call a200(acval,ii)
      ie=ii + 20
      return
13    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'     DATA RECORDS CONTAIN:',
     & ' X,Y,& Z '
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     THE X,Y,Z RECORDS CAN BE IN',
     & ' ASCII LIST FORMAT OR UNFORMATTED '
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     ifile2 AND ispost MUST BE',
     & ' SPECIFIED'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     TO PLOT A Z VALUE',
     & ' IN ADDITION TO IT"S POSITION ncharv MUST BE NON-ZERO'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(a,t60,a,i5)')'ispost (MUST BE SET TO TWO)',
     & '=',ispost
      ii=ii+1
      write(inp(ii),'(4a)') 'ifile2 (RANDOM DATA FILE NAME)=',ap,
     & ifile2,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,4a)') 'fmtv   (FORMAT OF RANDOM DATA',
     & ' Z VALUE LABEL)', '=',ap,fmtv,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'ncharv (MAX NUMBER FROM',
     & ' fmtv TO USE FOR LABELLING)', '=',ncharv
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'szpost (RANDOM DATA SYMBOL',
     & ' SIZE IN INCHES)', '=',szpost
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'szlab  (RANDOM DATA Z VALUE',
     & ' SIZE IN INCHES)', '=',szlab
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     TO PLOT RANDOM DATA',
     & ' WITHOUT CONTOURING SET DCVAL TO ZERO'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     TO PLOT RANDOM DATA',
     & ' WITHOUT HAVING A GRID FILE USE xxx AND yyy ALSO'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t49,a,2g14.6)')'xxx    (LEFT & RIGHT',
     & ' COORDINATES OF RANDOM DATA)', '=',xxx
      ii=ii + 1
      write(inp(ii),'(2a,t49,a,2g14.6)')'yyy    (BOTTOM & TOP',
     & ' COORDINATES OF RANDOM DATA)', '=',yyy
      ie = ii
      return
14    ii = iptr + 1
      write(inp(ii),'(4a)') 'ifile3 (OVERLAY GRID FILE NAME)    =',
     & ap,ifile3,ap
      ie = ii
      return
15    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'    BY USING THE DEFAULTS YOU WILL',
     & ' GET A VIEW FROM THE NORTH'
      ii=ii + 1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.1)') 'sunaz (SUN AZIMUTH IN DEGREES',
     & '; 0-NORTH,90-EAST,ETC.)','=',sunaz
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.1)') 'sunel (SUN INCLINATION IN',
     & ' DEGREES FROM THE HORIZON)','=',sunel
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'cntras (BRIGHTNESS ',
     & 'SENSITIVITY TO ENHANCE SUBTLE FEATURES)','=',cntras
      ii=ii+1
      write(inp(ii),'(a,t60,a,f6.2)') 'brmin (MINIMUM BRIGHTNES)',
     & '=',brmin
      ii=ii+1
      write(inp(ii),'(a,t60,a,f6.2)') 'brmax (MAXIMUM BRIGHTNES)',
     & '=',brmax
      ie=ii
      return
16    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,f6.2)') 'unit   (GRID DATA UNITS',
     & '; 0-INCHES,1-METERS,2-KILOMETERS)','=',unit
      ii=ii+1
      write(inp(ii),'(a,t60,a,i5)') 'iproj  (PROJECTION NUMBER)',
     & '= ',iproj
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       iproj MUST BE ONE OF THE',
     & ' FOLLOWING NUMBERS'
      ii=ii + 1
      write(inp(ii),'(2a)')nul,'       1  American Polyconic'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       2  ellipsoidal transverse',
     & ' mercator - no output beyond 3 degrees of "cm"'
      ii=ii+1
      write(inp(ii),'(2a)')nul,'       3  mercator'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       4  lambert - default parallels',
     & ' 33 and 45'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       5  albers US  - parallels 29.5',
     & ' and 45.5'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       6  albers Alaska  - parallels',
     & ' 55 and 65'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       7  albers Hawaii  - parallels',
     & ' 8 and 18'
      ii=ii+1
      write(inp(ii),'(2a)')nul,'       8  polar stereographic'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'       9  transverse mercator,  zero',
     & ' distortion meridians'
      ii=ii+1
      write(inp(ii),'(3a)') nul, '                           ',
     & '     are approx. 22 degrees from "cm"'
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'cm     (CENTRAL MERIDIAN',
     & '; DEG,MIN,SEC; NEG. FOR WEST LONG.)', '=' ,cm
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'baslat (BASE LATITUDE',
     & '; DEG,MIN,SEC)', '=' ,baslat
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'latm   (SOUTH LATITUDE',
     & '; DEG,MIN,SEC)', '=' ,latm
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'latx   (NORTH LATITUDE',
     & '; DEG,MIN,SEC)', '=' ,latx
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'longm  (EAST LONGTITUDE',
     & '; DEG,MIN,SEC; NEG. FOR WEST LONG.)', '=' ,longm
      ii=ii+1
      write(inp(ii),'(2a,t60,a,3f6.0)') 'longx  (WEST LONGTITUDE',
     & '; DEG,MIN,SEC; NEG. FOR WEST LONG.)', '=' ,longx
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.0)') 'tint   (LAT/LON MARK ',
     & 'INTERVAL IN MINUTES (0-automatic))', '=',tint
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'itpost (LAT/LON MARK LABEL',
     & ' INTERVAL)', '=',itpost
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'sizep  (LAT/LON MARK LABEL',
     & ' SIZE IN INCHES)', '=',sizep
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.0)')'phi1   (LAMBERT PROJECTION',
     & ' LOWER LATITUDE IN DEGREES)','=',phi1
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.0)')'phi2   (LAMBERT PROJECTION',
     & ' UPPER LATITUDE IN DEGREES)','=',phi2
      ie=ii
      return
17    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'   CONTOUR LABELS MAY BE OBTAINED',
     & ' BY LETTING fmtc AND nchar DEFAULT'
      ii=ii + 1
      write(inp(ii),'(3a)')nul,'   TO ELIMINATE CONTOUR LABELS',
     & ' SET nchar TO ZERO'
      ii=ii + 1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,4a)') 'fmtc   (FORMAT FOR CONTOUR VALUES',
     & '; BLANK IS AUTO FORMATTING)','=',ap,fmtc,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'nchar  (MAX NO. FROM',
     & ' FMTC FOR LABELLING (-1 for AUTOMATIC))', '=',nchar
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'size   (CONTOUR VALUE LABEL',
     & ' SIZE IN INCHES)', '=',size
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'delb   (DISTANCE BETWEEN',
     & ' LABELS IN INCHES)', '=',delb
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'idashs (LINE TYPE AND THICKNESS)',
     & '(0 - ALL LINES ARE SOLID)','=',idashs
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'nsec   (NUMBER OF CONTOUR',
     & ' INTERVALS BETWEEN PRIMARIES)','=',nsec
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,g14.6)') 'gradi  (GRADIENT BEFORE',
     & ' CONTOURS ARE DROPPED IN LINES/INCH)','=',gradi
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,g14.6)') 'conlim (ELIMINATE SHORT',
     & ' CONTOURS LESS THAN conlim IN INCHES)', '=',conlim
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'nsig   (SMOOTH CONTOURS; SET > 0',
     & ' TO IMPLEMENT)','=',nsig
      ii=ii+1
      write(inp(ii),'(a,t60,a,f6.2)') 'sigma  (SMOOTHING FACTOR)',
     & '=',sigma
      ie=ii
      return
18    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'   WHEN mscale is 0,SCREEN PLOTS ARE',
     & ' SCALED IN PROPORTION TO GRID DIMENSIONS'
      ii=ii + 1
      write(inp(ii),'(3a)')nul,'   SETTING mscale TO NON-ZERO WILL',
     & ' UTILIZE THE WHOLE SCREEN'
      ii=ii + 1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i11)') 'mscale (SCALE OF PLOT; USUALLY',
     & ' 0 FOR PC PLOT)','=',mscale
      ii=ii + 1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(3a)')nul,'   THE FOLLOWING VARIABLE unit IS',
     & ' NECESSARY IF mscale IS USED'
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,f6.2)') 'unit   (GRID DATA UNITS',
     & '; 0-INCHES,1-METERS,2-KILOMETERS)','=',unit
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,g14.6)') 'xscale (SCALE OF PLOT ON X',
     & ' AXIS IN DATA UNITS PER INCH)','=',xscale
      ii=ii+1
      write(inp(ii),'(2a,t60,a,g14.6)') 'yscale (SCALE OF PLOT ON Y',
     & ' AXIS IN DATA UNITS PER INCH)','=',yscale
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'pllx   (PLOT ORIGIN OFFSET',
     & ' ALONG X AXIS IN INCHES)','=',pllx
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'plly   (PLOT ORIGIN OFFSET',
     & ' ALONG Y AXIS IN INCHES)','=',plly
      ie = ii
      return
19    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'FIRST TITLE LINE IS TAKEN FROM',
     & ' HEADER OF THE GRID FILE'
      ii=ii + 1
      write(inp(ii),'(3a)')nul, 'TO GET ANY TITLES sizel MUST BE',
     & ' SPECIFIED'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'sizel  (SIZE OF FIRST TITLE',
     & ' LINE IN INCHES)','=',sizel
      ii=ii+1
      write(inp(ii),'(4a)') 'title2 (SECOND TITLE LINE)    =',ap,
     & title2,ap
      ii=ii+1
      write(inp(ii),'(4a)') 'title3 (THIRD TITLE LINE)     =',ap,
     & title3,ap
      ie = ii
      return
20    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,i6)') 'neat  (PLOT BORDER LINE',
     & ' AROUND PLOT;  0 IMPLEMENTS)', '=',neat
      ie=ii
      return
21    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'     SETTING ncharx AND nchary',
     & ' TO -1 WILL DO AUTOMATIC LABELLING OF THE AXES'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     AND YOU DO NOT HAVE TO',
     & ' SET ANY OTHER PARAMETERS'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     THEY ARE AVAILABLE FOR',
     & ' CUSTOMIZING LABELLING'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,g14.6)') 'adelx  (X AXIS TICK MARK',
     & ' INTERVAL IN DATA UNITS)', '=',adelx
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,g14.6)') 'adely  (Y AXIS TICK MARK',
     & ' INTERVAL IN DATA UNITS)', '=',adely
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'lintx  (X AXIS TICK MARK LABEL',
     & ' INTERVAL)', '=',lintx
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'linty  (Y AXIS TICK MARK LABEL',
     & ' INTERVAL)', '=',linty
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'sizex  (X AXIS TICK MARK LABEL',
     & ' SIZE IN INCHES)', '=',sizex
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'sizey  (Y AXIS TICK MARK LABEL',
     & ' SIZE IN INCHES)', '=',sizey
      ii=ii+1
      write(inp(ii),'(2a,t60,4a)') 'fmtx   (FORMAT OF X AXIS TICK',
     & ' MARK LABEL)', '=',ap,fmtx,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,4a)') 'fmty   (FORMAT OF Y AXIS TICK',
     & ' MARK LABEL)', '=',ap,fmty,ap
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'ncharx (MAX NO. FROM',
     & ' fmtx FOR LABELLING(-1 FOR AUTOMATIC))', '=',ncharx
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'nchary (MAX NO. FROM',
     & ' fmty FOR LABELLING(-1 FOR AUTOMATIC))', '=',nchary
      ie=ii
      return
22    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'   ONLY THE  FIRST VARIABLE IS',
     & ' NEEDED TO HACHURE "LOWS"; OTHERS HAVE DEFAULTS'
      ii=ii + 1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(2a,t60,a,i5)') 'mxhach (HACHURE LOWS)',
     & '(SET NON-ZERO TO IMPLEMENT)','=',mxhach
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'hachgp (HACHURE GAP',
     & ' RATIO)','=',hachgp
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'hachln (HACHURE TICK',
     & ' LENGTH IN INCHES)','=',hachln
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'hachsp (HACHURE TICK',
     & ' SPACING IN INCHES)','=',hachsp
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'hachlm (MIN CIRCUMFERENCE OF',
     & ' LOW FOR HACHURING IN INCHES)','=',hachlm
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'hachvb (MAX CIRCUMFERENCE OF',
     & ' ENCLOSED HIGH IN INCHES)','=',hachvb
      ie=ii
      return
23    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###jcdash (ARRAY OF SPECIFIED',
     & ' CONTOUR LINE TYPES; MAX IS 200)', '='
      n=ii + 1
      k=1
      m=10
      do 201 i=1,20
      write(inp(n),'(10i8)') (jcdash(j),j=k,m)
      n=n+1
      k=m+1
      m=m+10
201   continue
      ie=ii + 20
      return
24    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,i5)') 'lowhi  (PLOT "h" AND "l"',
     & ' (NON-ZERO IMPLEMENTS))', '=',lowhi
      ii=ii + 1
      write(inp(ii),'(2a,t60,a,f6.2)') 'sizehi (SIZE OF "h" AND "l"',
     & ' LETTERS IN INCHES)', '=',sizehi
      ii=ii+1
      write(inp(ii),'(2a,t60,a,g14.6)') 'dgrad  (CURVATURE OF HIGH',
     & '/LOW FOR LABELLING IN Z DATA UNITS)', '=',dgrad
      ie=ii
      return
25    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'     DATA RECORDS CONTAIN:',
     & ' X,Y,TEXT TO BE PLOTTED,ICODE(2 OR 3),SIZE OF TEXT'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     OPTIONALY,CHARACTER ',
     & 'ROTATION,X OFFSET & Y OFFSET CAN BE ADDED AFTER SIZE'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(4a)') 'txfile (TEXT DATA FILE NAME)    =',
     & ap,txfile,ap
      ie = ii
      return
26    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'     DATA RECORDS CONTAIN:',
     & ' X,Y,AND A LINE SEGMENT NUMBER'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     AND THEY CAN BE IN ASCII LIST',
     & ' FORMAT OR UNFORMATTED'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(4a)') 'lxfile (LINE SEGMENTS FILE NAME)=',
     & ap,lxfile,ap
      ie = ii
      return
27    ii = iptr + 1
      write(inp(ii),'(3a)')nul,'     MAGNETIC DATA ARE PLOTTED IN',
     & ' VECTOR FORM'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     INCLINATION IS PLOTTED NEXT',
     & ' TO A CIRCLE MARKING THE X,Y POSITION'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     DECLINATION IS INDICATED BY',
     & ' DIRECTION OF AN ARROW'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     AND MAGNITUDE BY THE LENGTH',
     & ' OF THE ARROW'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     DATA RECORDS CONTAIN:',
     & ' X,Y,MAGNITUDE,INCLINATION & DECLINATION'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     AND THEY CAN BE IN ASCII LIST',
     & ' FORMAT OR UNFORMATTED'
      ii=ii+1
      write(inp(ii),'(3a)')nul,'     ifile2 AND ispost MUST BE',
     & ' SPECIFIED; vmax AND vmin HAVE DEFAULTS'
      ii=ii+1
      write(inp(ii),'(a)') nul
      ii=ii+1
      write(inp(ii),'(4a)') 'ifile2 (MAGNETIC DATA FILE NAME)=',ap,
     & ifile2,ap
      ii=ii+1
      write(inp(ii),'(a,t60,a,i5)')'ispost (MUST BE SET TO ONE)',
     & '=',ispost
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'vmax   (MAXIMUM VECTOR',
     & ' LENGTH IN INCHES)', '=',vmax
      ii=ii+1
      write(inp(ii),'(2a,t60,a,f6.2)') 'vmin   (MINIMUM VECTOR',
     & ' LENGTH IN INCHES)', '=',vmin
      ie = ii
      return
28    ii = iptr + 1
      write(inp(ii),'(2a,t60,a,i5)')'icapt (WRITE CONTOUR LINE',
     & ' COORDINATES TO DISK (SET > 0))', '=',icapt
      ie = ii
      return
29    ii = iptr + 1
      write(inp(ii),'(5a)') 'acfile (FILE NAME OF "ac" VALUES)',
     &  '=',ap,acfile,ap
      ie=ii
      return
30    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###acdel  (ARRAY OF MAX GRADIENTS',
     & ' IN Z DATA UNITS/INCH; MAX IS 200)', '='
      call a200(acdel,ii)
      ie=ii + 20
      return
31    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###acgrad (ARRAY OF MAX GRADIENTS',
     & ' IN CONTOUR LINES/INCH; MAX IS 200)', '='
      call a200(acgrad,ii)
      ie=ii + 20
      return
32    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###acmin (ARRAY OF MINIMUM',
     & ' CONTOUR LEVELS WHEN ACDEL < 0; MAX IS 200)', '='
      call a200(acmin,ii)
      ie=ii + 20
      return
33    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###acmax  (ARRAY OF MAXIMUM',
     & ' CONTOUR LEVELS WHEN ACDEL < 0; MAX IS 200)', '='
      call a200(acmax,ii)
      ie=ii + 20
      return
34    ii = iptr + 1
      write(inp(ii),'(2a,t70,a)') '###acsize (ARRAY OF CONTOUR',
     & ' LABEL SIZES; MAX IS 200)', '='
      call a200(acsize,ii)
      ie=ii + 20
      return
      end
      subroutine a200(atemp,is)
      character*80 inp(25)
      integer*2 setrow,setcol,linptr,line,inum,is
      common/lset/setrow,setcol,linptr,line,inum,inp
      character * 8 fm
      dimension atemp(200)
      n=is+1
      k=1
      m=10
      do 30 i=1,20
      j = 1
      do 20 ii = k,m
      cont2=abs(atemp(ii))

      if(cont2.eq.0.) then
        fm ='(f8.0)'
        go to 10
      endif

      if(cont2.gt.1.e-7.and.cont2.lt.1.e6) then
        n1 = ifix(alog10(cont2))

        if(atemp(ii).gt.0.) then
          if(n1.ge.0) then
            ndec = 7 -(n1+2)
          else
            ndec = 6
          endif
        else
          if(n1.ge.0) then
            ndec = 7 -(n1+3)
          else
            ndec = 5
          endif
        endif

      else
        fm = '(e8.1)'
        go to 10
      endif
      write(fm,'(''(f8.'',i1,'')'')') ndec
10    write(inp(n)(j:j+7),fm) atemp(ii)
      j=j+8
20    continue
      n=n+1
      k=m+1
      m=m+10
30    continue
      return
      end
